### Encoding: latin1

### Name: cm
### Title: Credibility Models
### Aliases: cm print.cm predict.cm summary.cm print.summary.cm
### Keywords: models

### ** Examples

data(hachemeister)

## Buhlmann-Straub model
fit <- cm(~state, hachemeister,
          ratios = ratio.1:ratio.12, weights = weight.1:weight.12)
fit                             # print method
predict(fit)                    # credibility premiums
summary(fit)                    # more details

## Two-level hierarchical model. Notice that data does not have
## to be sorted by level
X <- cbind(unit = c(1, 2, 1, 2, 2), hachemeister)
fit <- cm(~unit + unit:state, X, ratio.1:ratio.12, weight.1:weight.12)
predict(fit)
predict(fit, levels = "unit")   # unit credibility premiums only
summary(fit)
summary(fit, levels = "unit")   # unit summaries only

## Regression model
fit <- cm(~state, hachemeister, xreg = 12:1,
          ratios = ratio.1:ratio.12, weights = weight.1:weight.12)
fit
predict(fit, newdata = 0)       # future value of regressor
summary(fit, newdata = 0)




